@import "../../../../shared/styles/_variables.scss";

zs-case-document-odf-editor {

	ul.toolbar {
		margin:0;
		padding:.5em;
		box-shadow:0 2px 2px rgba(0,0,0,.2);
		position: fixed;
		top: 53px;
		z-index: 1;
		background-color: #fff;
		text-align: center;
	    left: auto;
	    right: auto;
	    width: 100%;

		li {
			display: inline-block;
			& + li {
				margin-left: 0.5em;
			}
			input[type=number] {
				width: 50px;
				vertical-align: middle;
				padding:.25rem;
			}
			.toolbar-button {
				border: none;
				padding: 0.25em 0.5em;
				cursor: pointer;
				background:#fff;
				border-radius:$border-radius;
				&:hover,
				&:focus {
					background-color: rgba(0,0,0,0.1);
					outline-width: 0;
				}
				&.toolbar-button-active {
					background-color: rgba(0,0,0,0.2);
				}
			}
		}
	}
	list > list-item > :not(list):first-child {
		position:  relative !important;
		margin-left: 30px;
		&::before {
			margin-left: 0 !important;
			top: 0.05em;
			left: -1em;
			position: absolute !important;
			float: none !important;
		}
	}

	.document-canvas {
		overflow: hidden;
		display: block !important;
		margin: 0 auto;
		margin-bottom: 80px;
	  	box-shadow: 0 1px 4px rgba(0,0,0,.3);
	}
	document body {
		box-shadow: 1px 1px 4px rgba(0,0,0,.2);
		background:#fff;
		table table-cell {
			padding: 0.2em;
		}
		p frame {
			position: static !important;
		}
	}
	.zs-spinner{
		position: fixed !important;
		top: 114px;
		left: 15px;
		right: 15px;
		bottom: 15px;
	}
}

// webodf editor

.toolbar-button{
    display: inline-block;
    font: normal normal normal 1.3em/1 "Material Design Icons";
    font-size: inherit;
    vertical-align: middle;
    speak: none;
    text-decoration: inherit;
    text-transform: none;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    transform: translate(0, 0);
    font-size:1.4em;
	&.save:after{content: mdi('content-save');}
	&.saveas:after{content: mdi('content-save-all');}
	&.undo:after{content: mdi('undo');}
	&.redo:after{content: mdi('redo');}
	&.bold:after{content: mdi('format-bold');}
	&.italic:after{content: mdi('format-italic');}
	&.underline:after{content: mdi('format-underline');}
	&.alignleft:after{ content: mdi('format-align-left');}
	&.aligncenter:after{content: mdi('format-align-center');}
	&.alignright:after{content: mdi('format-align-right');}
	&.justify:after{content: mdi('format-align-justify');}
	&.outdent:after{content: mdi('format-indent-decrease');}
	&.indent:after{content: mdi('format-indent-increase');}
	&.toggleannotations:after{content: mdi('format-align-left');}
	&.hyperlink:after{content: mdi('link');}
	&.disclaimer:after{content: mdi('help');}
	&.insertimage:after{content: mdi('file-image');}
	&.bulletlist:after{content: mdi('format-list-bulleted');}
	&.numberedlist:after{content: mdi('format-list-numbers');}
}

.toolbar-button-tooltip{
	text-align: left;
	position: absolute;
  	background-color: #fff;
  	border: 1px solid rgba(0,0,0,0.2);
  	padding: 10px;
  	top: 107%;
  	box-shadow:0 2px 2px rgba(0,0,0,0.15);
  	max-width:300px;
  	margin-right:10px;
  	input[type=text]{
  		width:100%;
  		margin-right:4px;
  		padding:4px;
  		box-sizing:border-box;
  		margin-bottom:6px;
  	}
  	&:after,
    &:before {
        left: 22px;
        bottom: 100%;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
        z-index:1;
    }
    &:after {
        border-color: rgba(233, 242, 244, 0);
        border-bottom-color: #fff;
        border-width: 6px;
        margin-left: -6px;
    }
    &:before {
        border-color: rgba(143, 173, 182, 0);
        border-bottom-color: rgba(0,0,0,0.3);
        border-width: 7px;
        margin-left: -7px;
    }
}

.modal-editor.modal-fullscreen{
	.modal-content{
		background:#eee;
		padding-top:30px !important; 
		padding-bottom: 0px !important;
		overflow: scroll;
	}
	.modal-body{
		background: #eee;
		overflow:visible;
		top:0;
		left:0;
		right:0;
		bottom:0;
		max-height: inherit;
		max-width: inherit;
		position: absolute;
		width:auto;
		height:auto;
	}
	.modal-header .modal-title{
		text-align: center;
	}
}

.modal-editor.modal-fullscreen.modal-webodf{
	.modal-content{
		top:100px;
	}
}

.intern{
	.modal-editor.modal-fullscreen .modal-body{
		height:auto;
		width:auto;
	}
}